
package de.ivu.elect.presentation.stimmeingabe;

public enum StimmeingabeErfassenViewStatus {

  NUR_LESEN{
    @Override
    public boolean isStimmeingabeMoeglich() {
      return false;
    }
  },
  EINGABE {
    @Override
    public boolean isStimmeingabeMoeglich() {
      return true;
    }
  },
  FEHLER_BESTAETIGEN {
    @Override
    public boolean isStimmeingabeMoeglich() {
      return false;
    }
  };


  public abstract boolean isStimmeingabeMoeglich();

}
